Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.support
[Java] Class GroovyAwareNamedTransactionAttributeSource

    java.lang.Object
      org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource
          org.codehaus.groovy.grails.orm.support.GroovyAwareNamedTransactionAttributeSource

    public class GroovyAwareNamedTransactionAttributeSource
    extends NameMatchTransactionAttributeSource

Authors:
  Graeme Rocher

Since:
  1.1.1 Don't match Groovy synthetic methods

Method Summary
`TransactionAttribute` | `getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)`
`protected boolean` | `isMatch(java.lang.String methodName, java.lang.String mappedName)`
`void` | `setTransactionalAttributes(java.util.Properties properties)`

Method Detail

### getTransactionAttribute

    @SuppressWarnings("rawtypes")
    @Override
    public TransactionAttribute getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)

### isMatch

    @Override
    protected boolean isMatch(java.lang.String methodName, java.lang.String mappedName)

### setTransactionalAttributes

    public void setTransactionalAttributes(java.util.Properties properties)

Groovy Documentation